SDL_GetScancodeName(3)

NAME
SDL_GetScancodeName - Get a human-readable name for a scancode.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

const char * SDL_GetScancodeName(SDL_Scancode scancode);

DESCRIPTION

Warning: The returned name is by design not stable across platforms, e.g. the name for SDL_SCANCODE_LGUI is "Left GUI" under Linux but "Left Windows" under Microsoft Windows, and some scancodes like SDL_SCANCODE_NONUSBACKSLASH don't have any name at all. There are even scancodes that share names, e.g. SDL_SCANCODE_RETURN and SDL_SCANCODE_RETURN2 (both called "Return"). This function is therefore unsuitable for creating a stable cross-platform two-way mapping between strings and scancodes.

FUNCTION PARAMETERS

scancode
    the desired SDL_Scancode to query.

RETURN VALUE
Returns a pointer to the name for the scancode. If the scancode doesn't have a name this function returns an empty string ("").

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetScancodeFromKey(3), SDL_GetScancodeFromName(3), SDL_SetScancodeName(3)